The new language selection dropdown in the first A/B test on Wikipedia portal is missing scroll bar in chrome, but works in FF
Closed, ResolvedPublic2 Story Points

Description

Tested on Ubuntu 15.10

Krenair created this task.Dec 4 2015, 9:13 PM
Krenair updated the task description. (Show Details)
Krenair raised the priority of this task from to Needs Triage.
Krenair added a subscriber: Krenair.
Restricted Application added a project: Discovery. · View Herald TranscriptDec 4 2015, 9:13 PM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald Transcript

also, this is the one in beta, not prod: http://www.wikipedia.beta.wmflabs.org/#pab1

@MSyed @JGirault I confirmed this on chromium on my ubuntu as well.

ksmith renamed this task from Wikipedia language selection dropdown is missing scroll bar in chrome, but works in FF to Beta Wikipedia language selection dropdown is missing scroll bar in chrome, but works in FF.Dec 4 2015, 9:16 PM
ksmith set Security to None.
Deskana added a subscriber: Deskana.Dec 4 2015, 9:17 PM

This issue is also present for me in OS X 10.10.5.

This shouldn't block the upcoming A/B test, but if it's possible to get it fixed before the test goes out, then we should do that.

We could try some hacks?
http://stackoverflow.com/questions/7492062/css-overflow-scroll-always-show-vertical-scroll-bar

There does not seem to be a nice solution though...

There's never been a nice solution to styling inputs :/
However, I think this can be done in just CSS, but scrollbars are also an issue on IE on new Windows as well.

Default Windows option input vs styled option input

Default Ubuntu option input vs styled option input

Jdrewniak edited a custom field.Dec 8 2015, 10:26 PM
ksmith renamed this task from Beta Wikipedia language selection dropdown is missing scroll bar in chrome, but works in FF to In A/B test code on beta, Wikipedia portal language selection dropdown is missing scroll bar in chrome, but works in FF.Jan 19 2016, 8:36 PM
debt added a subscriber: debt.Jan 19 2016, 8:41 PM
Deskana renamed this task from In A/B test code on beta, Wikipedia portal language selection dropdown is missing scroll bar in chrome, but works in FF to In A/B test code, Wikipedia portal language selection dropdown is missing scroll bar in chrome, but works in FF.Jan 19 2016, 8:46 PM
Deskana renamed this task from In A/B test code, Wikipedia portal language selection dropdown is missing scroll bar in chrome, but works in FF to The new language selection dropdown in the first A/B test on Wikipedia portal is missing scroll bar in chrome, but works in FF.
debt added a comment.Jan 22 2016, 1:16 AM

Let's go ahead and work on this as we can. With the latest version of Windows, this might become even more of an issue.

debt triaged this task as Normal priority.Jan 22 2016, 1:16 AM
debt assigned this task to Jdrewniak.Jan 26 2016, 7:50 PM
debt moved this task from What's Next to In Progress on the Discovery-Portal-Sprint board.

Change 266694 had a related patch set uploaded (by Jdrewniak):
Showing scrollbars on custom language picker

https://gerrit.wikimedia.org/r/266694

Jdrewniak added a comment.EditedJan 27 2016, 11:03 AM

I think this is patch pretty much shows the scrollbars everywhere.

Here are some screenshots. Chrome, firefox and IE:

Change 266694 merged by jenkins-bot:
Showing scrollbars on custom language picker

https://gerrit.wikimedia.org/r/266694

debt closed this task as Resolved.Feb 5 2016, 9:20 PM
debt moved this task from Done to Completed on the Discovery-Portal-Sprint board.Feb 10 2016, 1:13 AM